<?php
require_once "legend.php";
 
## globales
$moistxt = array("","01"=>"Gennaio","02"=>"Febbraio","03"=>"Marzo","04"=>"Aprile","05"=>"Maggio","06"=>"Giugno","07"=>"Luglio","08"=>"Agosto","09"=>"Settembre","10"=>"Ottobre","11"=>"Novembre","12"=>"Dicembre");
$nametxt=array("tn"=>"Temperature min","tx"=>"Temperature max","tnm"=>"Temperature medie min","txm"=>"Temperature medie max","tm"=>"Temperature medie","precipitations"=>"Precipitazioni","precipmax"=>"Precipitazioni massime in un giorno","ventmoyen"=>"Vento media","ventmax"=>"Raffiche max");
$directs = array("N","NNE","NE","ENE","E","ESE","SE","SSE","S","SSO","SO","OSO","O","ONO","NO","NNO");

#dit si mensuel ou annuel
function searchFile($file){
$pars = explode("_",$file);
if(ereg("([0-9]{4})",$pars[0])==TRUE && ereg("([0-9]{2})",$pars[1])==TRUE && $pars[2]=="NOAA"){
$result ="month";}
if(ereg("([0-9]{4})",$pars[0])==TRUE && $pars[1]=="NOAA"){
$result ="year";}
return $result;
}

#liste les fichiers noaa valides du repertoire et les classe par ordre dcroissant et par type (mois ou anne)
function listFiles(){
global $moistxt;
$rep=".";
$moistri = array_flip($moistxt);
$dir = opendir($rep);
  while (false !== ($srep = readdir($dir)))
  {
  if(@is_dir($srep)&& ereg("([0-9]{4})",$srep)==TRUE){
  $annuels[]= $srep."/".$srep."_NOAA";
    ##boucle annes
     $sdir = opendir($srep);   
     while ($ssdir = readdir($sdir))
    {
    if(is_dir($srep."/".$ssdir)&& ereg("([0-9]{2})",$ssdir)==TRUE && $ssdir!="00")
    {$mensuels[] =  $srep."/".$ssdir."/".$srep."_".$ssdir."_NOAA";}
    }
    ##boucle annes END
    }    
  }
  
  @sort($mensuels);
  @sort($annuels);
  
  return array(array_reverse($mensuels),array_reverse($annuels));
}


### parser
function parseFile($filename) {

$filetype = searchFile($filename);
$spaces = array("     ","    ","   ","  ");
$space = array(" "," "," "," ");
##month
if($filetype == "month"){

$content = implode("",file($filename.".txt"));
$content = str_replace("\r","",$content);
$separ_1 = explode("----------\n",$content); 
$separ_2 = explode("\n----------",$separ_1[1]); 
$table = $separ_2[0];

$line = explode("\n",$table);

for($i=0;$i<sizeof($line);$i++){
$line[$i]=" ".$line[$i];
$line[$i] = str_replace($spaces,$space,$line[$i]);

$value = explode(" ",$line[$i]);
if($value[1]!=""){

$jour[] = $value[1];
$meantemp[] = $value[2];
$highttemp[] = $value[3];
$hourhighttemp[] = $value[4];
$lowtemp[] = $value[5];
$hourlowtemp[] = $value[6];
$rain[] = $value[9];
$ventmoyen[] = $value[10];
$rafales[] = $value[11];
$hourrafales[] = $value[12];
$domdir[] = str_replace("W","O",$value[13]);

}
}
return array($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir);
}
#year
if($filetype == "year"){
$content = implode("",file($filename.".txt"));
$content = str_replace("\r","",$content);
$separ_1 = explode("----------\n",$content); 
$line = explode("\n",$separ_1[1]);
for($i=0;$i<sizeof($line);$i++){
$line[$i] = str_replace($spaces,$space,$line[$i]);
$value = explode(" ",$line[$i]);
if($value[2]!=""){
$annee[] = $value[1];
$mois[] = $value[2];
$meanmax[] = $value[3];
$meanmin[] = $value[4];
$meantemp[] = $value[5];
$highttemp[] = $value[9];
$datehighttemp[] = $value[10];
$lowtemp[] = $value[11];
$datelowtemp[] = $value[12];
$gel[] = $value[15];
}
}
$line = explode("\n",$separ_1[3]);
for($i=0;$i<sizeof($line);$i++){
$line[$i] = str_replace($spaces,$space,$line[$i]);
$value = explode(" ",$line[$i]);
if($value[2]!=""){
$rain[] = $value[3];
$maxrain[] = $value[5];
$maxdate[] = $value[6];
}
}
$line = explode("\n",$separ_1[5]);
for($i=0;$i<sizeof($line);$i++){
$line[$i] = str_replace($spaces,$space,$line[$i]);
$value = explode(" ",$line[$i]);
if($value[2]!=""){
$ventmoyen[] = $value[3];
$rafales[] = $value[4];
$rafmaxdate[] = $value[5];
$domdir[] = str_replace("W","O",$value[6]);
}
}
return array($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir);
}
}


#trace le graph que si il n'existe pas sur le serveur, renvoie l'image
function traceGraph($file,$data){

$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
$sep = explode("/",$url);
for($i=0;$i<sizeof($sep)-1;$i++){
$lien .=$sep[$i]."/" ;
}
#garde que le nom de fichier principal en supprimer les dir du nom
$sepfilename = explode("/",$file);
$namelink = $sepfilename[sizeof($sepfilename)-1];

# si le graph n'xiste pas sur le serveur on le cr quelque soit le fichier src
if(file_exists("graphs/$namelink-$data.png")==FALSE){
list($readable1,$readable2) = listFiles();
if(!in_array($file,$readable1) && !in_array($file,$readable2)){echo "fichier absent !<br/>"; return;}
include"graphs.php";
}
# si il s'agit des fichiers mis a jour automatiquement par la station on maj le graph que si le fichier src est plus rcent que le graph dj prsent d'une heure :
$monthact =date("m");
$yearact = date("Y");

if($file==$yearact."/".$monthact."/".$yearact."_".$monthact."_NOAA" or $file==$yearact."/".$yearact."_NOAA"){

$datgraph = @filemtime("graphs/$namelink-$data.png");
$datsrc = @filemtime("$file.txt");
if($datsrc>=$datgraph+3600){
include"graphs.php";}
}
# on affiche le graph demand par l'utilisateur que si il xiste
if(file_exists("graphs/$namelink-$data.png")==TRUE){
$img = "<img src=\"http://".$lien."graphs/$namelink-$data.png\" alt=\"\"/>\n";
echo $img;
}
}

function compareGraph($file1,$file2,$data){
if($file1=="" && $file2==""){return;}
if($file1==$file2){echo "i dati non dovrebbero essere identici"; return;}
$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
$sep = explode("/",$url);
for($i=0;$i<sizeof($sep)-1;$i++){
$lien .=$sep[$i]."/" ;
}
list($readable1,$readable2) = listFiles();
if(!in_array($file1,$readable1) && !in_array($file1,$readable2)){echo "fichier absent $file1 !<br/>"; return;}
if(!in_array($file2,$readable1) && !in_array($file2,$readable2)){echo "fichier absent $file2 !<br/>"; return;}

# on affiche le graph demand par l'utilisateur
$img = "<img src=\"http://".$lien."confrontografico.php?file=$file1&amp;file2=$file2&amp;data=$data\" alt=\"\"/>\n";

echo $img;
}

function afficheMenu(){
echo "<p><font color=blue size='4pt'>
<a href=\"rapporto-mensile.php\">Rapporto mensile</a> | 
<a href=\"rapporto-annuo.php\">Rapporto annuale</a> | 
<a href=\"confronto-mensile.php\">Confronti mensili</a> | 
<a href=\"confronto-annuo.php\">Confronti annuali</a>
</p>";
}

function afficheForm($type,$file){
list($mensuels,$annuels)=listFiles();
if($mensuels!="" && $type=="mensuels"){
if($file==""){$_GET[fichier]=$mensuels[0];}
echo "<form method=\"get\" action=\"\">\n <p>Rapporto mensile : \n<select name=\"fichier\">\n";
for($i=0;$i<sizeof($mensuels);$i++){
echo "<option value=\"$mensuels[$i]\""; if($mensuels[$i]==$file){echo" selected=\"selected\"";} echo">".gettitre($mensuels[$i])."</option>\n";
}
echo "</select>\n <input type=\"submit\" value=\"Esegui\"/></p>\n</form>\n";
}
if($annuels!="" && $type=="annuels"){
if($file==""){$_GET[fichier]=$annuels[0];}
echo "<form method=\"get\" action=\"\">\n <p>Rapporto annuale per : \n<select name=\"fichier\">\n";
for($i=0;$i<sizeof($annuels);$i++){
echo "<option value=\"$annuels[$i]\""; if($annuels[$i]==$file){echo" selected=\"selected\"";} echo">".gettitre($annuels[$i])."</option>\n";
}
echo "</select>\n <input type=\"submit\" value=\"Esegui\"/></p>\n</form>";
}
}

function afficheFormCompare($type,$file1,$file2,$data){
list($mensuels,$annuels)=listFiles();
if($mensuels!="" && $type=="mensuels"){
echo "<form method=\"get\" action=\"\">";
for($i=0;$i<sizeof($mensuels);$i++){
$champ1.="<option value=\"$mensuels[$i]\"";if($mensuels[$i]==$file1){$champ1.=" selected=\"selected\" ";}$champ1.=">".gettitre($mensuels[$i])."</option>";
}
for($i=0;$i<sizeof($mensuels);$i++){
$champ2.="<option value=\"$mensuels[$i]\"";if($mensuels[$i]==$file2){$champ2.=" selected=\"selected\" ";}$champ2.=">".gettitre($mensuels[$i])."</option>";
}
global $nametxt;
foreach ($nametxt as $key=>$value){
if($key!="tnm" && $key!="txm" && $key!="precipmax"){$champdata .= "<option value=\"$key\"";if($key==$data){$champdata.=" selected=\"selected\" ";} $champdata.=">$value</option>"; }
}
echo "<table><tr><td>Primo mese rispetto : </td><td><select name=\"fichier1\">$champ1</select></td></tr><tr><td> Secondo mese da confrontare : </td><td><select name=\"fichier2\">$champ2</select></td></tr><tr><td>Valori da confrontare : </td><td><select name=\"data\">$champdata</select></td></tr><tr><td colspan=\"2\" style=\"text-align:center\"><input type=\"submit\" value=\"Esegui\"/></td></tr></table></form>";
}
if($annuels!="" && $type=="annuels"){
echo "<form method=\"get\" action=\"\">";
for($i=0;$i<sizeof($annuels);$i++){
$champ1.="<option value=\"$annuels[$i]\"";if($annuels[$i]==$file1){$champ1.=" selected=\"selected\" ";}$champ1.=">".gettitre($annuels[$i])."</option>";
}
for($i=0;$i<sizeof($annuels);$i++){
$champ2.="<option value=\"$annuels[$i]\"";if($annuels[$i]==$file2){$champ2.=" selected=\"selected\" ";}$champ2.=">".gettitre($annuels[$i])."</option>";
}
global $nametxt;
foreach ($nametxt as $key=>$value){
$champdata .= "<option value=\"$key\"";if($key==$data){$champdata.=" selected=\"selected\" ";} $champdata.=">$value</option>"; 
}
echo "<table><tr><td>Primo anno rispetto : </td><td><select name=\"fichier1\">$champ1</select></td></tr><tr><td> Secondo anno rispetto : </td><td><select name=\"fichier2\">$champ2</select></td></tr><tr><td>Valori da confrontare : </td><td><select name=\"data\">$champdata</select></td></tr><tr><td colspan=\"2\" style=\"text-align:center\"><input type=\"submit\" value=\"Esegui\"/></form></td></tr></table>";
}
}

function getmin($arrayvar){
$set="";
$min="";
for($i=0;$i<sizeof($arrayvar);$i++){
if($arrayvar[$i]!="" && $set!=1){$min= $arrayvar[$i]; $set=1;}
if($arrayvar[$i]<$min && $arrayvar[$i]!=""){$min=$arrayvar[$i];}
}
return $min;
}
function getmax($arrayvar){
$set="";
$max="";
for($i=0;$i<sizeof($arrayvar);$i++){
if($arrayvar[$i]!="" && $set!=1){$max= $arrayvar[$i]; $set=1;}
if($arrayvar[$i]>$max && $arrayvar[$i]!=""){$max=$arrayvar[$i];}
}
return $max;
}
function getmoy($arrayvar){
$moy="";
for($i=0;$i<sizeof($arrayvar);$i++){
if($arrayvar[$i]!=""){$cnt++;}
}
$moy = round(array_sum($arrayvar) / $cnt,1);
return $moy;
}

function getrec($arrayvar){
global $directs;
for($c=0;$c<count($arrayvar);$c++)
{
if($arrayvar[$c] != "")
{
for($i=0;$i<sizeof($directs);$i++){
if($arrayvar[$c] == $directs[$i]){$stat[$directs[$i]]++ ; }
}
}
}
$max = max(array_values($stat));
$rev = array_flip($stat);
return $rev[$max];
}

function gettitre($fil){
#garde que le nom de fichier principal en supprimer les dir du nom
$sepfilename = explode("/",$fil);
$namelink = $sepfilename[sizeof($sepfilename)-1];
global $moistxt;
$separ = explode("_",$namelink);
if($separ[1]=="NOAA"){$titre = "l'anno $separ[0]";}
elseif($separ[2]=="NOAA"){$titre = $moistxt[$separ[1]]." $separ[0]";}
else{$titre="";}
return $titre;
}

function getStats($file){
$typefile = searchFile($file);
if($typefile=="month"){
list($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir) = parseFile($file);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
return array($tn,$tx,$wx,$rx,$rs,$tm,$wm,$dr,$tmx,$tmn);
}
if($typefile=="year"){
global $moistxt;
list($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir)=parseFile($file);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$tnm = getmoy($meanmin);
$txm = getmoy($meanmax);
$tnmn = getmin($meanmin);
$txmx = getmax($meanmax);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rxj = getmax($maxrain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
return array($tn,$tx,$tnm,$txm,$tnmn,$txmx,$tmx,$tmn,$wx,$rx,$rxj,$rs,$tm,$wm,$dr);
}
}

function afficheStats($file) {
$typefile = searchFile($file);
if($typefile=="month"){
list($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir) = parseFile($file);
list($tn,$tx,$wx,$rx,$rs,$tm,$wm,$dr,$tmx,$tmn)=getStats($file);
echo"
<ul>
<img style=\"height:35px\" src=\"pics/temperature.png\"/>
<li>Temperatura media : <b>$tm C</b></li>
<li>Temperatura minima assoluta : <b>$tn C</b> il giorno <b>".$jour[array_search($tn,$lowtemp)]." </b>alle ore <b>".$hourlowtemp[array_search($tn,$lowtemp)]."</b></li>
<li>Temperatura massima assoluta : <b>$tx C </b> il giorno <b>".$jour[array_search($tx,$highttemp)]." </b>alle ore <b> ".$hourhighttemp[array_search($tx,$highttemp)]."</b></li>
<li>Giorno pi freddo del mese : <b>".$jour[array_search($tmn,$meantemp)]." ".$moistxt[$chr[0]]."</b> con una media giornaliera : <b>$tmn C</b></li>
<li>Giorno pi caldo del mese : <b>".$jour[array_search($tmx,$meantemp)]." ".$moistxt[$chr[0]]." </b> con una media giornaliera : <b>$tmx C</b></li></ul>
<ul>
<img style=\"height:35px\" src=\"pics/wind.png\"/>
<li>Raffiche pi alte : <b>$wx km/h </b> il giorno <b>".$jour[array_search($wx,$rafales)]." </b>alle <b>".$hourrafales[array_search($wx,$rafales)]."</b></li>
<li>Media del vento : <b>$wm km/h</b></li>
<li>Proveniente da : <b>$dr </b></li></ul>
<ul>
<img style=\"height:35px\" src=\"pics/rainfall.png\"/>
<li>Precipitazioni massime in un giorno : <b>$rx mm </b> il <b>".$jour[array_search($rx,$rain)]."</b></li>
<li>Il totale di precipitazioni per il mese : <b>$rs mm</b></li>
</ul>";
}
if($typefile=="year"){
global $moistxt;
list($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir)=parseFile($file);
$legx = array_values($moistxt);
array_shift($legx);
list($tn,$tx,$tnm,$txm,$tnmn,$txmx,$tmx,$tmn,$wx,$rx,$rxj,$rs,$tm,$wm,$dr)=getStats($file);
echo "
<ul>
<img style=\"height:35px\" src=\"pics/temperature.png\"/>
<li>Temperatura media : <b>$tm C</b></li>
<li>Temperatura minima assoluta : <b>$tn C</b> il giorno <b>".$datelowtemp[array_search($tn,$lowtemp)]." ".$legx[array_search($tn,$lowtemp)]."</b></li>
<li>Temperatura massima assoluta : <b>$tx C </b> il giorno <b>".$datehighttemp[array_search($tx,$highttemp)]." ".$legx[array_search($tx,$highttemp)]."</b></li>
<li>Temperatura media minime sull'anno : <b>$tnm C</b></li>
<li>Temperatura media massime sull'anno : <b>$txm C</b></li>
<li>Temperatura media pi bassa : <b>$tnmn C</b> in <b>".$legx[array_search($tnmn,$meanmin)]."</b></li>
<li>Temperatura media pi alta : <b>$txmx C</b> in <b>".$legx[array_search($txmx,$meanmax)]."</b></li>
<li>Il mese pi freddo dell'anno : <b>".$legx[array_search($tmn,$meantemp)]."</b> con una media mensile di : <b>$tmn C</b></li>
<li>Il mese pi caldo dell'anno : <b>".$legx[array_search($tmx,$meantemp)]." </b> con una media mensile di : <b>$tmx C</b></li></ul>
<ul>
<img style=\"height:35px\" src=\"pics/wind.png\"/>
<li>Raffiche pi alte : <b>$wx km/h</b></li>
<li>Media del vento : <b>$wm km/h</b></li>
<li>Proveniente da : <b>$dr </b></li></ul>
<ul>
<img style=\"height:35px\" src=\"pics/rainfall.png\"/>
<li>Pi alta piovosit mensile : <b>$rx mm </b></li>
<li>Precipitazioni massime in un giorno : <b>$rxj mm </b></li>
<li>Precipitazioni totali sull'anno : <b>$rs mm</b></li>
</ul>";
}
}

function afficheTable($file){
if($file==""){echo "selezionare un rapporto da visualizzare"; return;}
$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
$sep = explode("/",$url);
for($i=0;$i<sizeof($sep)-1;$i++){
$lien .=$sep[$i]."/" ;
}
$typefile = searchFile($file,$data);
if($typefile=="month"){
list($jour,$meantemp,$highttemp,$hourhighttemp,$lowtemp,$hourlowtemp,$rain,$ventmoyen,$rafales,$hourrafales,$domdir) = parseFile($file);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
if($data==""){
echo "<table style=\"border:3px solid #ffdc23\">
<caption> <font color=black size='5pt'><b>Tabella riassuntiva per ".gettitre($file)."</b></caption>
<tr style='background:#ccd3e0;'>
<td rowspan='2'><b>Giorno</b></td>
<td colspan='3'><center><b>T e m p e r a t u r e</b></td>
<td colspan='2'><b><center>V e n t o</b></td>
<td rowspan='2'><b>Pioggia</b></td>
</tr>
<tr style='background:#ccd3e0;'>              
              <td>minima</td>
              <td>massima</td>
              <td>avg</td>
              <td>Velocit (raffiche)</td>
              <td>Direzione</td>
</tr>";
for ($i=0;$i<sizeof($jour);$i++){
echo"<tr>\n";
echo "<td style=\"background:#ccd3e0\">$jour[$i]</td>\n";
if($lowtemp[$i]!=""){echo "<td style=\"background:".gettempcolor($lowtemp[$i]).""; if($lowtemp[$i]==$tn){echo"; font-weight:bold";} echo"\">$lowtemp[$i] C alle ore $hourlowtemp[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($highttemp[$i]!=""){echo "<td style=\"background:".gettempcolor($highttemp[$i]).""; if($highttemp[$i]==$tx){echo"; font-weight:bold";} echo"\">$highttemp[$i] C alle ore $hourhighttemp[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($meantemp[$i]!=""){echo "<td style=\"background:".gettempcolor($meantemp[$i]).""; if($meantemp[$i]==$tmn or $meantemp[$i]==$tmx){echo"; font-weight:bold";} echo"\">$meantemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($ventmoyen[$i]!=""){echo "<td style=\"background:".getventcolor($rafales[$i]).""; if($rafales[$i]==$wx){echo"; font-weight:bold";} echo"\">$ventmoyen[$i] km/h ($rafales[$i] km/h)</td>\n";}else{echo "<td>--- ---</td>\n";}
if($domdir[$i]!=""){echo "<td style=\"background:RGB(".getdircolor($domdir[$i]).")\"><img style=\"height:10px\" src=\"http://".$lien."pics/$domdir[$i].gif\" alt=\"$domdir[$i]\"/> $domdir[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($rain[$i]!=""){echo "<td style=\"background:".getpluiecolor($rain[$i]).""; if($rain[$i]==$rx){echo"; font-weight:bold";} echo"\">$rain[$i] mm</td>\n";}else{echo "<td>---</td>\n";}
echo "</tr>\n";
}
echo "<tr style='background:#ccd3e0'>\n<td style='font-weight:bold'>Totale</td>\n<td><b>$tn C</td>\n<td><b>$tx C</td>\n<td><b>$tm C</td>\n<td><b>$wm km/h ($wx km/h)</td>\n<td><img style=\"height:10px\" src=\"http://".$lien."pics/$dr.gif\" alt=\"$dr\"/><b>$dr</td>\n<td><b>$rs mm</td>\n</tr>\n";
echo "</table>\n";
}
}
if($typefile=="year"){
global $moistxt;
list($annee,$mois,$meanmax,$meanmin,$meantemp,$highttemp,$datehighttemp,$lowtemp,$datelowtemp,$gel,$rain,$maxrain,$ventmoyen,$rafales,$domdir)=parseFile($file);
$legx = array_values($moistxt);
array_shift($legx);
$tn = getmin($lowtemp);
$tx = getmax($highttemp);
$tnm = getmoy($meanmin);
$txm = getmoy($meanmax);
$tnmn = getmin($meanmin);
$txmx = getmax($meanmax);
$tmx = getmax($meantemp);
$tmn = getmin($meantemp);
$wx = getmax($rafales);
$rx = getmax($rain);
$rxj = getmax($maxrain);
$rs = array_sum($rain);
$tm = getmoy($meantemp);
$wm = getmoy($ventmoyen);
$dr = getrec($domdir);
echo "
<table style=\"border:3px solid #ffdc23\">
<caption><font color=black size='5pt'><b>Tabella riassuntiva per ".gettitre($file)."</b></caption>
<tr style='background:#ccd3e0;'>
<td colspan='6' style='text-align:center;'><b>TEMPERATURA</b></td>
<td colspan='3' style='text-align:center;'><b>VENTO</b></td>
<td colspan='3' style='text-align:center;'><b>PRECIPITAZIONI</b></td></tr>
<tr style='background:#ccd3e0;'>
<td rowspan='2'><b>Mese</b></td>
<td colspan='2'><b>Temperature minime</b></td>
<td colspan='2'><b>Temperature massime</b></td>
<td rowspan='2'><b>Media <br/>mensile</b></td>
<td rowspan='2'><b>Vento<br/>media</b></td>
<td rowspan='2'><b>Raffiche<br/> massime</b></td>
<td rowspan='2'><b>Direzione<br/> dominante</b></td>
<td rowspan='2'><b>Accumulo</b></td>
<td rowspan='2'><b>Massima in<br/>un giorno</b></td>
</tr>
<tr style='background:#ccd3e0;'>
<td>Tn assoluta</td>
<td>Tn media</td>
<td>Tx assoluta</td>
<td>Tx media</td>
</tr>\n";
for ($i=0;$i<sizeof($legx);$i++){
echo"<tr>\n";
echo "<td style=\"background:#ccd3e0\">$legx[$i]</td>\n";
if($lowtemp[$i]!=""){echo "<td style=\"background:".gettempcolor($lowtemp[$i]).""; if($lowtemp[$i]==$tn){echo"; font-weight:bold";} echo"\">$lowtemp[$i] C il giorno $datelowtemp[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($meanmin[$i]!=""){echo "<td style=\"background:".gettempcolor($meanmin[$i]).""; if($meanmin[$i]==$tnmn){echo"; font-weight:bold";} echo"\">$meanmin[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($highttemp[$i]!=""){echo "<td style=\"background:".gettempcolor($highttemp[$i]).""; if($highttemp[$i]==$tx){echo"; font-weight:bold";} echo"\">$highttemp[$i] C il giorno $datehighttemp[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($meanmax[$i]!=""){echo "<td style=\"background:".gettempcolor($meanmax[$i]).""; if($meanmax[$i]==$txmx){echo"; font-weight:bold";} echo"\">$meanmax[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($meantemp[$i]!=""){echo "<td style=\"background:".gettempcolor($meantemp[$i]).""; if($meantemp[$i]==$tmn or $meantemp[$i]==$tmx){echo"; font-weight:bold";} echo"\">$meantemp[$i] C</td>\n";}else{echo "<td>---</td>\n";}
if($ventmoyen[$i]!=""){echo "<td style=\"background:".getventcolor($ventmoyen[$i]*10).""; if($ventmoyen[$i]==$hw){echo"; font-weight:bold";} echo"\">$ventmoyen[$i] km/h </td>\n";}else{echo "<td>---</td>\n";}
if($rafales[$i]!=""){echo "<td style=\"background:".getventcolor($rafales[$i]).""; if($rafales[$i]==$wx){echo"; font-weight:bold";} echo"\">$rafales[$i] km/h </td>\n";}else{echo "<td>---</td>\n";}
if($domdir[$i]!=""){echo "<td style=\"background:RGB(".getdircolor($domdir[$i]).")\"><img style=\"height:10px\" src=\"http://".$lien."pics/$domdir[$i].gif\" alt=\"$domdir[$i]\"/> $domdir[$i]</td>\n";}else{echo "<td>---</td>\n";}
if($rain[$i]!=""){echo "<td style=\"background:".getpluiecolor($rain[$i]).""; if($rain[$i]==$rx){echo"; font-weight:bold";} echo"\">$rain[$i] mm</td>\n";}else{echo "<td>---</td>\n";}
if($maxrain[$i]!=""){echo "<td style=\"background:".getpluiecolor($maxrain[$i]).""; if($maxrain[$i]==$rxj){echo"; font-weight:bold";} echo"\">$maxrain[$i] mm</td>\n";}else{echo "<td>---</td>\n";}
}
echo "</tr>\n";
echo "<tr style='background:#ddddff'>\n<td style='font-weight:bold'>Totale</td>\n<td><b>$tn C</td>\n<td><b>$tnm C</td>\n<td><b>$tx C</td>\n<td><b>$txm C</td>\n<td><b>$tm C</td>\n<td><b>$wm km/h</td>\n<td><b>$wx km/h</td>\n<td><img style=\"height:10px\" src=\"http://".$lien."pics/$dr.gif\" alt=\"$dr\"/><b>$dr</td>\n<td><b>$rs mm</td>\n<td><b>$rxj mm</td>\n</tr>\n";
echo "</table>\n";




}
}

?>
